List crypto wallet transactions
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "transaction-id",
"wallet_id": "wallet-id",
"type": "payout",
"status": "processing",
"reference": "CRYPTO-REF",
"currency": "USDC",
"amount": "100.000000",
"fee": "1.000000",
"net_amount": "99.000000",
"balance_change": "-100.000000",
"target_currency": "USDC",
"target_amount": "99.000000",
"rate": "1.00000000",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123",
"network": "ETHEREUM_MAINNET",
"transaction_hash": null,
"counterparty_transaction_id": null,
"counterparty_transaction": null,
"fiat_transaction_id": null,
"fiat_transaction": null,
"created_at": "2026-08-12T20:00:00.000000Z",
"updated_at": "2026-08-12T20:00:00.000000Z"
}
],
"current_page": 1,
"per_page": 10,
"total": 1
}Crypto
List crypto wallet transactions
Get API-created crypto transactions for one wallet. Required scope: crypto-transaction:read.
GET
/
api
/
external
/
crypto
/
wallets
/
{walletId}
/
transactions
List crypto wallet transactions
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The crypto wallet ID.
Query Parameters
Available options:
processing, successful, failed Available options:
payout, swap Available options:
in, out Required range:
1 <= x <= 100Was this page helpful?
⌘I

